#include <unistd.h>
#include <time.h>
#include "breakout.h"
#include "flags.h"
#include "anim.h"
#include "gui.h"

/* Initialises the game struct, sets up gnome and i18n, sets up the animation
 * files, and starts the gui */
int main(int argc, char **argv) {
	Game game;
	memset(&game, 0, sizeof(Game));

	srand((unsigned int) clock());

	bindtextdomain(PACKAGE, GNOMELOCALEDIR);
	textdomain(PACKAGE);
	gnome_init(PACKAGE, VERSION, argc, argv);
	if(gnome_score_init(PACKAGE) == -1)
		g_warning("Failed to initialise gnome_score. Is " PACKAGE " installed setgid to the games group?");

	game.flags = load_flags();

	gui_init(&game, argc, argv);
	init_animations();
	gtk_main();

	return 0;
}
